//
//  SFOAMutableURLRequest.h
//  testOAuth
//
//  Created by Matteo Rattotti on 10/29/09.
//  Copyright 2009 www.shinyfrog.net. All rights reserved.
//

#import "OAuthConsumer/OAMutableURLRequest.h"

#import "SFOAToken.h"

@interface SFOAMutableURLRequest : OAMutableURLRequest {
    SFOAToken *sftoken;
    NSString *verifier;
    BOOL useSessionHandle;
    NSString *oauthCallback;
    BOOL shouldLog;
}

- (id)initWithURL:(NSURL *)aUrl
		 consumer:(OAConsumer *)aConsumer
			sftoken:(SFOAToken *)aToken
            realm:(NSString *)aRealm
signatureProvider:(id<OASignatureProviding, NSObject>)aProvider;

- (void) setVerifier: (NSString *) aVerifier;
- (void) setCallback: (NSString *) aCallback;

- (void) setUseSessionHandle: (BOOL) use;
- (void) setShouldLog: (BOOL) log;
- (void)prepare;

@end
